Formats (BioJava-1.5-beta API)
Keywords: org.biojava.bio.program.tagvalue.Formats class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.tagvalue
Class Formats

    java.lang.Object
      org.biojava.bio.program.tagvalue.Formats

    public class Formats

extends Object

This is intended as a repository for tag-value and AnnotationType information about common file formats. Each format should have an annotaiton type defined as <FormatName>_TYPE and a method create<FormatName>ParserListener(ParserListener listener) that together give you everything needed to parse and represent the format.

Author:
  Matthew Pocock

Field Summary
`static AnnotationType` | `EMBL_GENBANK_FEATURE_TABLE_TYPE`
`static AnnotationType` | `EMBL_TYPE`
`static AnnotationType` | `SWISSPROT_TYPE`

Constructor Summary
`Formats()`

Method Summary
`static ParserListener` | `createEmblParserListener(TagValueListener listener)`
`static ParserListener` | `createSwissprotParserListener(TagValueListener listener)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMBL_TYPE

    public static final AnnotationType EMBL_TYPE

### EMBL_GENBANK_FEATURE_TABLE_TYPE

    public static final AnnotationType EMBL_GENBANK_FEATURE_TABLE_TYPE

### SWISSPROT_TYPE

    public static final AnnotationType SWISSPROT_TYPE

Constructor Detail

### Formats

    public Formats()

Method Detail

### createEmblParserListener

    public static final ParserListener createEmblParserListener(TagValueListener listener)

### createSwissprotParserListener

    public static final ParserListener createSwissprotParserListener(TagValueListener listener)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD